<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Sub structure for AREA."</font>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bibliography</font></strong>:= <font color="#BC8F8F">"http://IsaacOS.com"</font>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">author</font></strong>      := <font color="#BC8F8F">"Benoit Sonntag (bsonntag@loria.fr), Jerome Boutet (boutet@loria.fr)"</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong>    := <font color="#A020F0">1</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">value</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">plan</font></strong>:<a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next</font></strong>:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">prev</font></strong>:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong> 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> x:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">plan</font></strong> p:<a href="PLAN.html"><font color="#008000">PLAN</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> x:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">plan</font></strong> p:<a href="PLAN.html"><font color="#008000">PLAN</font></a> :<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append</font></strong> old_root:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> :<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">remove</font></strong> old_root:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> :<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_value</font></strong> v:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next</font></strong> new:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_prev</font></strong> new:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
  






</body>
</html>

